/* ---------- style.css ---------- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-blue: #0c4a6e;
    --primary-blue-light: #0284c7;
    --primary-cyan: #00d5ff;
    --secondary-blue: #1b2e50;
    --light-blue: #f0f9ff;
    --gray-50: #f9fafb;
    --gray-100: #f3f4f6;
    --gray-600: #4b5563;
    --gray-700: #374151;
    --gray-900: #111827;
    --white: #ffffff;
}

body {
    font-family: 'Inter', sans-serif;
    line-height: 1.6;
    color: var(--gray-700);
    overflow-x: hidden;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1.5rem;
}

.btn {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: #0056b3;
}

/* ---------- index.css ---------- */
* {
    font-family: "Montserrat", serif;
    font-optical-sizing: auto;
    font-weight: thin;
    font-style: normal;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    line-height: 1.6;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #e5e6e9;
    color: #333;
}

.container {
    width: 90%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    gap: 40px;
    margin-bottom: 20px;
    padding: 20px 0;
}

.destaque {
    font-weight: 500;
    text-transform: uppercase;
    font-size: 1.8rem;
    margin-bottom: 10px;
    line-height: 1.3;
}

.destaque-2 {
    font-size: 2.5rem;
    font-weight: bold;
    line-height: 1.2;
}

.subtexto-destaque {
    font-weight: 300;
}

.subcontainer {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.titulo {
    text-transform: uppercase;
    margin-bottom: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.noticia {
    height: fit-content;
    background-color: #00244a;
    color: white;
    padding: 50px;
    border-radius: 15px;
    font-size: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.noticia img {
    width: 100px;
    margin-bottom: 20px;
}

.noticia .hint {
    width: 100%;
    text-align: right;
    color: #aaa;
    font-style: italic;
}

.conteudo-programatico {
    width: 100%;
    background-color: #00244a;
    color: white;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
}

.conteudo-programatico .lista-estrutura {
    width: 100%;
    padding: 20px;
    list-style: none;
}

.conteudo-programatico .lista-estrutura li {
    list-style: none;
    border: 0.5px white solid;
    padding: 6px 10px;
}

.conteudo-programatico .lista-conteudo {
    border: none;
}

.conteudo-programatico .lista-conteudo li {
    border: none;
}

.conteudo-programatico .hint {
    color: #bbb;
}

.conteudo-programatico .subcontainer {
    width: 400px;
    justify-content: start;
    align-items: center;
}

.conteudo-programatico .sessao {
    display: flex;
}

.sessao .imersao .subcontainer {
    width: 500px;
}

.faq {
    flex-direction: column;
    gap: 10px;
}

.faq li {
    border: 1px black solid;
    list-style: none;
    padding: 6px;
}

.faq .titulo-faq {
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

.faq .conteudo-faq {
    padding: 6px;
    border: 1px black solid;
    max-height: 0;
    overflow: hidden;
    transition: max-height 1s ease-in-out, padding 0.5s, border 0.5s;
}

.faq .conteudo-faq.oculto {
    padding: 0;
    border: none;
}

.faq .mostrar {
    max-height: 500px;
}

.faq .sinal {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
    height: fit-content;
    width: fit-content;
    transition: 0.3s;
}

.faq .sinal.abrir .block:nth-child(1) {
    transform: translateY(3px) rotate(180deg);
}

.faq .sinal.abrir .block:nth-child(2) {
    transform: translateY(-4px) rotate(90deg);
    opacity: 1;
}

.faq .sinal.fechar .block:nth-child(1) {
    transform: translateY(3px) rotate(180deg);
}

.faq .sinal.fechar .block:nth-child(2) {
    opacity: 0;
    transform: translateY(4px) rotate(90deg);
}

.faq .block {
    width: 10px;
    border-bottom: 1px solid rgba(24,164,199,255);
}

hr {
    border-top: 0.5px solid rgba(24,164,199,255);
    width: 80%;
    margin: 0 auto;
}

.linha-vertical {
    border-left: 1px solid rgba(24,164,199,255);
    width: 1px;
}

.hint {
    color: #555;
    text-align: center;
}

.diferenciais {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-bottom: 50px;
}

.diferenciais-titulo {
    text-transform: uppercase;
    margin-bottom: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.texto-diferenciais {
    width: 60%;
    text-align: center;
    margin-bottom: 20px;
    color: #444;
}

.card-grid {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    max-width: 1000px;
    margin: 0 auto;
}

.card-grid img {
    width: 100%;
    height: auto;
    transition: 0.8s;
}

.grid-item {
    flex: 0 1 calc(33.333% - 20px);
    max-width: 320px;
    box-sizing: border-box;
    text-align: center;
    transition: 0.8s;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    gap: 0;
    align-items: center;
    flex-direction: column;
}

.linha-titulo {
    width: 10rem;
    margin-bottom: 10px;
}

footer {
    margin-top: 50px;
    color: #e5e6e9;
    padding: 40px;
    background: linear-gradient(159deg, rgb(0, 0, 0) 0%, #021c37 61%, #00244a 100%);
}

#politica {
    font-style: normal;
}

#footer-titulo {
    font-size: 1.5rem;
}

form {
    display: flex;
    gap: 8px;
    margin: 20px 20px 50px;
    text-align: center;
    justify-content: center;
}

.informacoes {
    font-size: 0.85rem;
    margin: 20px 100px;
    display: flex;
    justify-content: space-between;
    text-align: left;
}

.informacoes div {
    flex: 1;
}

#redes {
    margin-top: 10px;
    margin-bottom: 10px;
    display: block;
    justify-content: center;
    text-align: center;
}

#redes a img {
    margin-top: 7px;
    width: 28px;
    border-radius: 10px;
    filter: invert(1);
}

.containerVideo {
    position: relative;
}

input[type='text'], input[type='email'], button {
    width: 250px;
    background-color: rgb(90, 90, 90);
    border: none;
    color: lightgray;
    padding-left: 5px;
    border-radius: 7px;
    padding: 7px 15px;
}

input::placeholder {
    color: lightgray;
}

input:focus {
    border: none;
    outline: none;
}

button {
    background-color: rgb(54, 168, 183);
    width: 250px;
    border: none;
    transition: 0.5s;
}

button:hover {
    cursor: pointer;
    background-color: rgb(78, 190, 202);
}

#right-side-desktop {
    text-align: end;
}

#voltar-topo {
    display: none;
    position: fixed;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 100;
    background-color: #0056b3;
    color: #e5e6e9;
    border: none;
    border-radius: 100%;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
    width: 40px;
    height: 40px;
    font-size: 26px;
    justify-content: center;
    align-items: center;
}

#voltar-topo:hover {
    background-color: #00244a;
}

.proposito {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

@media (max-width: 958px) {
    .card-grid {
        width: 100%;
        padding: 10px 20px;
        grid-template-columns: repeat(2, 1fr);
    }
    .container {
        flex-direction: column;
        width: 100%;
    }
    .container .subcontainer {
        width: 90%;
    }
    .container .destaque {
        font-size: 1.1rem;
        font-weight: 500;
    }
    .container .subtexto-destaque {
        font-weight: 200;
    }
    .noticia {
        padding: 20px;
    }
    .sessao {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .hint {
        width: 100%;
        text-align: center;
    }
}

@media (max-width: 500px) {
    .informacoes {
        padding: 0;
        margin: 0;
    }
    .image-grid {
        width: 95%;
        grid-template-columns: repeat(2, 1fr);
        padding: 0;
    }
}

@media (max-width: 820px) {
    .texto-diferenciais {
        width: 85%;
    }
    footer {
        display: flex;
        flex-direction: column;
        padding: 0;
        padding-top: 20px;
    }
    form {
        flex-direction: column;
        align-items: center;
    }
    .informacoes {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        margin: 20px 0 0 0;
    }
    .informacoes div {
        width: 100%;
    }
    .mobile-no-display {
        display: none;
    }
    #redes {
        margin: 0;
    }
}

/* ---------- header.css ---------- */
.header {
    background-color: rgba(0,0,0,0);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    position: relative;
    z-index: 1000;
}

.header ul {
    text-transform: uppercase;
    list-style: none;
    justify-content: flex-end;
    display: flex;
    gap: 40px;
    font-size: 0.9rem;
}

.header a {
    text-decoration: none;
    padding: 5px;
    transition: 0.5s;
    color: white;
}

.header a:hover {
    text-decoration: underline;
    text-underline-offset: 10px;
    color: rgba(24,164,199,255);
    cursor: pointer;
}

.logo {
    width: 300px;
    height: 120px;
    overflow: hidden;
    cursor: pointer;
}

.logo img {
    width: 90%;
    height: 100%;
    object-fit: cover;
}

#div-logo,
#menu {
    display: inline-block;
    vertical-align: middle;
}

#mobile-menu {
    display: none;
}

#mobile-menu-list {
    max-height: 0px;
    visibility: hidden;
}

@media (max-width: 958px) {
    .logo {
        width: 250px;
    }
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin: 0;
        padding-right: 30px;
    }
    .header ul {
        display: none;
    }
    #mobile-menu {
        display: flex;
        flex-direction: column;
        position: relative;
    }
    #mobile-menu .menu-icon {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;
        gap: 10px;
        position: relative;
    }
    #mobile-menu-list {
        position: absolute;
        max-height: 0;
        overflow: hidden;
        flex-direction: column;
        text-align: left;
        justify-content: center;
        padding-bottom: 1rem;
        padding-top: 30px;
        padding-left: 20px;
        width: 100%;
        color: white;
        transition: max-height 0.5s ease-out, padding 0.3s ease-in-out, visibility 0.4s;
        background-color: #00244a;
        visibility: hidden;
    }
    #mobile-menu-list .mobile-menu-item {
        margin-bottom: 20px;
        padding: 0.5rem;
    }
    #mobile-menu-list a {
        text-decoration: none;
        text-transform: uppercase;
        color: white;
    }
    #mobile-menu-list li {
        list-style: none;
    }
    #mobile-menu-list.active {
        max-height: 500px;
        padding-bottom: 1rem;
        visibility: visible;
        z-index: 999;
    }
    .block {
        background-color: white;
        width: 40px;
        height: 2px;
        transition: transform 0.3s ease, opacity 0.3s ease;
    }
    .menu-icon.active .block:nth-child(1) {
        transform: translateY(12px) rotate(45deg);
    }
    .menu-icon.active .block:nth-child(2) {
        opacity: 0;
    }
    .menu-icon.active .block:nth-child(3) {
        transform: translateY(-12px) rotate(-45deg);
    }
}

/* ---------- estrutura.css ---------- */
.estrutura {
    background-color: #00244a;
    padding: 30px;
    color: white;
    margin-bottom: 50px;
}

.swiper-estrutura {
    position: relative;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    overflow-x: hidden;
}

.swiper-estrutura .swiper-wrapper {
    margin-bottom: 30px;
}

.swiper-estrutura .swiper-slide img {
    width: 100%;
    max-width: 650px;
    border-radius: 10px;
    box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.2);
    object-fit: cover;
    margin: 0 auto;
}

.estrutura-prev,
.estrutura-next {
    color: #00afd8 !important;
}

.swiper-estrutura .swiper-pagination-bullet {
    background-color: #888 !important;
}

.swiper-estrutura .swiper-pagination-bullet-active {
    background-color: #00afd8 !important;
}

.swiper-button-prev,
.swiper-button-next {
    position: absolute;
}

.estrutura-prev,
.depoimento-prev {
    left: 10px;
}

.estrutura-next,
.depoimento-next {
    right: 10px;
}

/* ---------- landing.css ---------- */
main {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    transition: background-image 0.2s ease, opacity 0.2s ease;
    color: rgb(255, 255, 255);
    height: 100vh;
    min-width: 100%;
    position: relative;
    z-index: 0;
}

.background {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: 2;
}

.background-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
    object-fit: cover;
    filter: brightness(0.8);
    width: 101%;
    transition: opacity 1.0s ease-in-out;
}

#div-texto {
    position: relative;
    z-index: 2;
    color: var(--white);
    text-align: center;
    padding-top: 200px;
    transition: opacity 0.8s ease-in-out;
}

.texto {
    padding-bottom: 300px;
    font-size: 2.5rem;
    text-transform: uppercase;
    transition: color 1s ease, opacity 1s ease;
    user-select: none;
}

.main {
    top: 73%;
    filter: brightness(0.8);
    width: 101%;
}

@media (max-width: 1479px) {
    .main {
        top: 50%;
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 958px) {
    body,
    html {
        overflow-x: hidden;
    }
    .texto {
        font-size: 1.8rem;
    }
    main {
        padding: 0px;
    }
}

/* ---------- cursos.css ---------- */
.cursos-titulo {
    text-transform: uppercase;
    margin-bottom: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cursos {
    display: flex;
    justify-content: space-between;
    width: 75%;
    height: 400px;
    margin: 0 auto;
}

.curso {
    display: flex;
    justify-content: center;
    flex: 1;
}

.curso img {
    height: 100%;
    border-radius: 10px;
}

.curso .swiper-button-disabled {
    display: none;
}

.swiper {
    width: 90%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.swiper .swiper-wrapper {
    margin-bottom: 30px;
}

.swiper .swiper-slide {
    width: auto;
}

.swiper .swiper-slide img {
    width: 90%;
    border-radius: 10px;
    box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.2);
    object-fit: cover;
    cursor: pointer;
}

.swiper {
    margin-bottom: -10px;
}

.swiper .swiper-button-prev,
.swiper .swiper-button-next {
    color: #00afd8 !important;
}

.swiper .swiper-pagination-bullet {
    background-color: #888 !important;
}

.swiper .swiper-pagination-bullet-active {
    background-color: #00afd8 !important;
}

@media (max-width: 958px) {
    .swiper .swiper-slide {
        justify-content: center;
    }
    .swiper .swiper-slide img {
        width: 95%;
    }
    .swiper .swiper-wrapper {
        padding: 0;
    }
}

/* ---------- depoimento.css ---------- */
#titulo-depoimento {
    text-transform: uppercase;
}

.depoimento {
    justify-content: center;
    overflow-x: hidden;
    width: min(95%, 1200px);
    margin: 0 auto;
    position: relative;
}

.video-depoimento {
    display: none;
}

.video-depoimento,
.imagem-depoimento {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    z-index: 0;
    object-fit: cover;
    cursor: pointer;
}

.card-depoimento > *:not(video) {
    position: relative;
    z-index: 1;
}

.swiper-depoimento {
    position: relative;
    margin-top: 10px;
}

.swiper-depoimento .swiper-slide {
    display: flex;
    justify-content: center;
    width: auto;
    padding-bottom: 20px;
}

.card-depoimento {
    background: #00244a;
    width: 100%;
    max-width: 440px;
    min-height: 320px;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    color: white;
    aspect-ratio: 9/16;
}

.depoimento-prev,
.depoimento-next {
    color: #00afd8 !important;
}

.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
    opacity: 1;
}

@media screen and (max-width: 1048px) {
    .depoimento {
        width: min(95%, 1000px);
    }
    .card-depoimento {
        max-width: 360px;
        min-height: 280px;
    }
}

@media screen and (max-width: 768px) {
    .depoimento {
        width: 100%;
    }
    .swiper-depoimento {
        padding: 0 10px;
    }
    .card-depoimento {
        max-width: 100%;
        min-height: 260px;
        border-radius: 12px;
    }
}

@media screen and (max-width: 480px) {
    .card-depoimento {
        min-height: 240px;
    }
}

/* ---------- pacientemodelo.css ---------- */
.subsessao-pacientemodelo {
    background-color: #1b2e50;
    color: white;
    border-radius: 10px;
    padding: 35px;
    text-align: center;
    width: 100%;
    min-height: 225px;
    height: 250px;
    overflow: hidden;
}

.procedimentos {
    display: flex;
    margin: 0 auto;
    background-color: #1b2e50;
    color: white;
    width: 100%;
}

.procedimentos .grid-item {
    width: fit-content;
    background-color: #091426;
}

.procedimentos .grid-item:hover {
    cursor: pointer;
}

.procedimentos .grid-item img {
    min-width: 100%;
    border-radius: 20px;
}

#vantagens {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 0;
    align-items: center;
}

#vantagens img {
    width: 50px;
}

#vantagens i {
    font-size: 40px;
    margin-bottom: 20px;
    margin-top: 10px;
}

.swiper-modelos {
    position: relative;
    width: 90%;
    overflow: hidden;
    margin: 0 auto;
}

.swiper-slide img {
    width: 100%;
}

@media (max-width: 1098px) {
    .pacientemodelo p {
        width: 95%;
    }
}

@media (max-width: 958px) {
    .pacientemodelo p {
        width: 85%;
    }
    .subsessao-pacientemodelo {
        text-align: center;
        width: 85%;
        overflow: hidden;
        margin-right: 0;
    }
    #vantagens {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-left: 0px;
        gap: 10px;
    }
}

/* ---------- quemSomos.css ---------- */
#quem-somos {
    display: block;
    margin: 0px 0px;
}

.sessao-quem-somos {
    font-size: larger;
    display: flex;
    justify-content: center;
    gap: 80px;
    margin-bottom: 50px;
    align-items: center;
    overflow: hidden;
}

.sessao-quem-somos div {
    width: 30%;
}

.sessao-quem-somos img {
    border-radius: 20px;
    width: 450px;
    box-shadow: 1px 1px 2px 1px rgba(0, 0, 0, 0.2);
}

.subsessao-quem-somos {
    width: 50%;
}

.subsessao-quem-somos p {
    font-size: 0.99rem;
}

.subsessao-quem-somos div {
    font-size: 0.8rem;
    width: 50%;
}

#titulo-quem-somos {
    margin-top: 0px;
    text-transform: uppercase;
}

@media (max-width: 915px) {
    .sessao-quem-somos {
        font-size: 0.95rem;
        display: flex;
        justify-content: center;
        gap: 20px;
        margin-bottom: 0px;
        margin-top: 0px;
        margin-left: 10px;
        margin-right: 10px;
        overflow: hidden;
    }
    .sessao-quem-somos img {
        width: 350px;
        margin: 10px 0 0px 0;
    }
    .sessao-quem-somos .subsessao-quem-somos {
        margin-bottom: 5px;
    }
    .sessao-quem-somos .subsessao-quem-somos p {
        font-size: 0.94rem;
    }
    .sessao-quem-somos div {
        width: 85%;
    }
}

@media (max-width: 650px) {
    #quem-somos {
        margin: 0;
    }
    .sessao-quem-somos {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        overflow: hidden;
        margin-bottom: 0px;
        margin-top: 0px;
        font-size: 0.95rem;
        gap: 55px;
    }
    .sessao-quem-somos img {
        width: 350px;
        margin: 10px 0 -40px 0;
        order: 1;
    }
    .sessao-quem-somos .subsessao-quem-somos {
        order: 2;
        margin-bottom: 5px;
    }
    .sessao-quem-somos .subsessao-quem-somos p {
        font-size: 0.94rem;
    }
    .sessao-quem-somos div {
        width: 85%;
    }
}
